Bug 222043 - [NEW PORT] net-im/unmessage: Privacy enhanced instant messenger
Summary: [NEW PORT] net-im/unmessage: Privacy enhanced instant messenger
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on: 222038 222040 222042
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-04 01:29 UTC by Yuri Victorovich
Modified: 2017-09-14 03:10 UTC (History)
1 user (show)

See Also:


Attachments
shar (2.41 KB, text/plain)
2017-09-04 01:29 UTC, Yuri Victorovich
no flags Details
shar (2.43 KB, text/plain)
2017-09-04 01:30 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-09-04 01:29:14 UTC
Created attachment 186050 [details]
shar

QAs:
* poudriere 11.1 amd64
* portlint
* runs fine
Comment 1 Yuri Victorovich freebsd_committer 2017-09-04 01:30:46 UTC
Created attachment 186051 [details]
shar
Comment 2 Richard Gallamore freebsd_committer 2017-09-10 21:43:03 UTC
Few items here,

Although this looks to be the end user software, it is still a python port. Therefore added PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX} and changed port name to net-im/py-unmessage.

Only python 2.7 is supported by this port.
Comment 3 Yuri Victorovich freebsd_committer 2017-09-10 21:54:26 UTC
+1
Comment 4 commit-hook freebsd_committer 2017-09-14 03:06:05 UTC
A commit references this bug:

Author: ultima
Date: Thu Sep 14 03:05:10 UTC 2017
New revision: 449821
URL: https://svnweb.freebsd.org/changeset/ports/449821

Log:
  unMessage is a peer-to-peer instant messaging application designed to enhance
  privacy and anonymity.

  Features:

  Transport makes use of Twisted, Tor Onion Services and txtorcon
  Encryption is performed using the Double Ratchet Algorithm implemented in pyaxo (using PyNaCl)
  Authentication makes use of the Socialist Millionaire Protocol implemented in Cryptully
  Transport metadata is minimized by Tor and application metadata by the unMessage protocol
  User interfaces are created with Tkinter (graphical) and curses (command-line)

  WWW: https://github.com/AnemoneLabs/unmessage

  PR:		222043
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	lifanov (mentor), matthew (mentor), koobs
  Approved by:	lifanov (mentor), matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12312

Changes:
  head/net-im/Makefile
  head/net-im/py-unmessage/
  head/net-im/py-unmessage/Makefile
  head/net-im/py-unmessage/distinfo
  head/net-im/py-unmessage/pkg-descr
Comment 5 Richard Gallamore freebsd_committer 2017-09-14 03:10:40 UTC
Committed, thanks!